Create a new virtual or physical card

A POST request sent to create a card. Prior to create a card, the user must have completed KyC and verified his wallet. Cards can have different designs setup during onboarding. If no designId is specified in the request, and a default designId has been specified during setup of the card program, the default will be used. If there is no designId neither in the request nor a default specified, an error response will be returned.

For physical cards, ensure the shipping address is up to date before creating the card. Any shipping KYC associated with the user must be in status completed; otherwise the card may be shipped to an outdated address.
If reissuing a card (e.g. replacing a lost or stolen card), use the reissue endpoint (POST /cards/{id}/reissue) instead of this one.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Data to create a new card.

Common card creation payload properties

string
enum
required

The card's type that will be issued:

  • physical - A physical card (plastic/metal) will get issued and shipped to the card holder. It is usable at physical terminals and, if it has a long number on it, also online. Only one physical card can be active at a given moment.
  • virtual - A virtual card will get issued and activated immediately.
Allowed:
string
required
length between 40 and 40

A User identifier. Begins with 'usr-' followed by a v4 UUID

string
length between 40 and 40

A Design identifier. Begins with 'dsn-' followed by a v4 UUID. If a value is not supplied, a default value will be used which will be pre-agreed on during setup.

string
enum
required

The card tier.

Allowed:
string
enum
required
Defaults to USD

The currency for the card. Three-character ISO 4217 currency code.

Allowed:
string
enum

The delivery type when ordering a physical card (do not set for virtual ones):

  • ship_to_user - Cards will get shipped directly to the user using a courier service.
Allowed:
string

The shipping method to use when shipping a physical card. The set of accepted values is defined per card design. If the card design declares multiple shipping methods, this field is required and must be one of those declared values. If the card design declares a single shipping method, supplying a value here is optional but, when supplied, must match it. If the card design declares no shipping methods, the platform default is used and any value supplied here must match that default.

Responses

400

The server cannot or will not process the request due to something that is perceived to be a client error (e.g., malformed request syntax, invalid request message framing, or deceptive request routing).

401

Although the HTTP standard specifies "unauthorized", semantically this response means "unauthenticated". That is, the client must authenticate itself to get the requested response.

403

The client does not have access rights to the content; that is, it is unauthorized, so the server is refusing to give the requested resource. Unlike 401 Unauthorized, the client's identity is known to the server.

429

The user has sent too many requests in a given amount of time ("rate limiting").

500

The server has encountered a situation it does not know how to handle.

502

This error response means that the server, while working as a gateway to get a response needed to handle the request, got an invalid response.

503

The server is not ready to handle the request. Common causes are a server that is down for maintenance or that is overloaded.

504

This error response is given when the server is acting as a gateway and cannot get a response in time.

Language
Credentials
Header
LoadingLoading…
Response
Choose an example:
application/json